<?
  // erreur.php

  // Ce code permet de recuperer toutes les erreurs, warnings et notices emises
  // par le PHP. on place ces erreurs dans un fichier.

  function errorlog ($errno, $msg, $file, $line)
  {
    // To use it, call set_error_handler ('errorlog');
    // Then all the errors and warning will be logged to $conf['logFile'];
    global $conf;
    if (! file_exists ($conf['logFile']) &&
        !is_writeable (dirname ($conf['logFile'])))
      die ("Don't have rights to create ".$conf['logFile']."\n");
    if (file_exists ($conf['logFile']) && !is_writeable ($conf['logFile']))
      die ("Don't have rights to modify ".$conf['logFile']."\n");
    if (!(error_reporting() & $errno))
    {
        // This error code is not included in error_reporting
        return;
    }
  
    $ident = "";
    if (isset ($_SERVER['REMOTE_ADDR'])) $ident = $_SERVER['REMOTE_ADDR'];
    elseif (isset ($argv[0])) $ident = basename ($argv[0]);

    //if ($conf['debug'] === 1) echo "$file $line : $msg<br/>\n";
    file_put_contents ($conf['logFile'],
                       date ("d/m/Y H:i:s").
                       " [$ident] ".
                       "$msg [".basename ($file) ." ligne $line]\n",
                       FILE_APPEND);
  }

?>
