<?
  // serveurs.php

  // Cette librairie determine le nom du serveur local, distant, les adresses IP
  // publiques ou privees, etc.

  // Il est a noter que cette librairie doit etre appellee avant logger, car
  // logger marque la machine locale, determinee par la fonction de ce fichier.

  error_reporting(E_ALL | E_STRICT);

  ////////////////////////
  // TESTS DE DEMARRAGE //
  ////////////////////////

  ///////////////
  // FONCTIONS //
  ///////////////
  function hostnameLocal()
  {
    // Renvoie le FQDN de la machine locale
    return trim(file_get_contents("/etc/hostname"));
  }

  function hostname($fqdn)
  {
    // Renvoie le nom de la machine dans le $fqdn passe
    $pos=strpos($fqdn,".");
    // Si il n'y a pas de . dans le nom (c'est deja un hostname), renvoie le
    // $fqdn passe
    if ($pos===FALSE) return $fqdn;
    // OK : on renvoie le nom
    return substr($fqdn,0,$pos);
  }

  function domainname($fqdn)
  {
    // Renvoie le domaine de la machine dans le $fqdn passe
    // renvoie FALSE si il n'y a pas de domaine dans le $fqdn passe
    $pos=strpos($fqdn,".");
    if ($pos===FALSE) return FALSE;
    return substr($fqdn,$pos+1);
  }


  ///////////
  // TESTS //
  ///////////
  //echo hostname(hostnameLocal())."\n";
  //     "\n";

?>
