<?php
  // Ce programme fait un file_get_contents sur le fichier verrouille en 
  // exclusif. Il doit attendre la fin du verrou avant de lire les donnees.
  function flock_file_get_contents($filename)
  {
    $return = FALSE;

    if (!is_string ($filename) || empty ($filename))
    {
      echo "ERREUR 1\n";
      return FALSE;
    }
    if (!is_readable ($filename))
    {
      echo "ERREUR 2\n";
      return FALSE;
    }
    if (($handle = @fopen ($filename, 'r')) === FALSE)
    {
      echo "ERREUR 3\n";
      return FALSE;
    }
    if (! flock($handle, LOCK_SH))
    {
      echo "ERREUR 4\n";
      fclose ($handle);
      return FALSE;
    }
    if($return = file_get_contents ($filename))
    {
      flock ($handle, LOCK_UN);
    }
    fclose ($handle);
    return $return;
  }
?>
